<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form class="ls-form" xmlns="http://www.w3.org/1999/html">

  <div class="modal-header">
    <h4
      class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
      id="modal-basic-title">
      {{ modalTitle }} <span *ngIf="editMode">{{ deskBox | ipngDeskboxName }}</span>
    </h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">

    <div class="mt-4 mx-3">

      <div class="form-group required">
        <label class="w-100 d-flex justify-content-between" for="nameInput">
          <span>{{ commonMessages.TITLE }}</span>
          <span class="text-info">
            <fa-icon [icon]="commonIcons.INFO_ICON"></fa-icon>
            {{ commonMessages.getMinDescriptionLabelInfo(2) }}</span>
        </label>
        <input
          id="nameInput"
          name="nameInput"
          [(ngModel)]="currentDeskbox.title[ipngLocales.DEFAULT]"
          (ngModelChange)="onChange()"
          type="text"
          class="form-control"
          required
          minlength="2"/>
        <span class="text-info"><fa-icon [icon]="commonIcons.INFO_ICON"></fa-icon>
          {{ ipngMessage.ADD_DESKBOX_POPUP_TITLE_FIELD_UNIQUE_RESTRICTION }}</span>
      </div>

      <div class="form-group required">
        <label for="mailInput">{{ ipngMessage.ADD_DESKBOX_POPUP_MAIL_FIELD }}</label>
        <input
          id="mailInput"
          name="mailInput"
          [(ngModel)]="currentDeskbox.mail"
          (ngModelChange)="onChange()"
          type="email"
          class="form-control"
          required
          minlength="2"/>
      </div>

      <div class="form-group required">
        <label for="descriptionInput">{{ ipngMessage.ADD_DESKBOX_POPUP_DESCRIPTION_FIELD }}</label>
        <textarea
          id="descriptionInput"
          name="descriptionInput"
          [(ngModel)]="currentDeskbox.description[ipngLocales.DEFAULT]"
          (ngModelChange)="onChange()"
          class="form-control"
          required
          minlength="2"></textarea>
      </div>
    </div>

  </div>

  <div class="modal-footer">
    <button ls-button-cancel (click)="cancel()"></button>
    <button
      ls-button-save [processing]="isProcessing"
      (click)="validate()"
      [icon]="commonIcons.SAVE_ICON"
      [disabled]="!isFormValid"></button>
  </div>

</form>
